Answer a user question in a conversation message
curl --request POST \
--url https://dust.tt/api/v1/w/{wId}/assistant/conversations/{cId}/messages/{mId}/answer-question \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"actionId": "<string>",
"answer": {
"selectedOptions": [
123
],
"customResponse": "<string>"
}
}
'import requests
url = "https://dust.tt/api/v1/w/{wId}/assistant/conversations/{cId}/messages/{mId}/answer-question"
payload = {
"actionId": "<string>",
"answer": {
"selectedOptions": [123],
"customResponse": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
actionId: '<string>',
answer: {selectedOptions: [123], customResponse: '<string>'}
})
};
fetch('https://dust.tt/api/v1/w/{wId}/assistant/conversations/{cId}/messages/{mId}/answer-question', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}Conversations
Answer a user question in a conversation message
Submits an answer to a question asked by an agent in a specific message
POST
/
api
/
v1
/
w
/
{wId}
/
assistant
/
conversations
/
{cId}
/
messages
/
{mId}
/
answer-question
Answer a user question in a conversation message
Authorizations
Your DUST API key is a Bearer token.
Path Parameters
Workspace ID
Conversation ID
Message ID
Body
application/json
Response
Answer submitted successfully
⌘I